For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • PUTUpsert
      • DELDelete
      • PATCHUpdate
      • HEADExists
      • GETList Thumbnails
      • GETGet Thumbnail
        • GETGet
        • POSTCreate
LogoLogo
Sign upLog in
API ReferenceDiagramsExport

Create

POST
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/diagrams/:diagramId/export/image
POST
/v1/landscapes/:landscapeId/versions/:versionId/diagrams/:diagramId/export/image
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.diagrams.export.create("landscapeId", "versionId", "diagramId", {
8 body: {},
9 });
10}
11main();
1{
2 "diagramExportImage": {
3 "createdAt": "2024-01-15T09:30:00Z",
4 "deleteAt": "2024-01-15T09:30:00Z",
5 "diagramId": "string",
6 "error": "string",
7 "fileUrls": {
8 "png": "string",
9 "svg": "string"
10 },
11 "id": "string",
12 "landscapeId": "string",
13 "options": {
14 "draftId": "string",
15 "flowId": "string",
16 "flowPathIds": [
17 "string"
18 ],
19 "focusIds": [
20 "string"
21 ],
22 "groupId": "string",
23 "hideIds": [
24 "string"
25 ],
26 "pinIds": [
27 "string"
28 ],
29 "tab": "tags",
30 "theme": "light"
31 },
32 "versionId": "string",
33 "completedAt": "2024-01-15T09:30:00Z"
34 }
35}
Was this page helpful?
Previous

List

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired
diagramIdstringRequired

Request

This endpoint expects an object.
draftIdstringOptional
Fetch and apply draft tasks before producing the export
flowIdstringOptional
flowPathIdslist of stringsOptional
focusIdslist of stringsOptional
groupIdstringOptional
hideIdslist of stringsOptional
pinIdslist of stringsOptional
tabenumOptional
Allowed values:
themeenumOptional
Allowed values:

Response

OK
diagramExportImageobject

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error